#ifndef R2C2_3D_SIGNAL_H_
#define R2C2_3D_SIGNAL_H_

#include <msp/gl/objectinstance.h>
#include "libr2c2/signal.h"
#include "object.h"

namespace R2C2 {

class Signal3D: public Object3D, public Msp::GL::ObjectInstance
{
private:
	Signal &signal;

public:
	Signal3D(Layout3D &, Signal &);
	~Signal3D();

	virtual Vector get_node() const;
	virtual bool is_visible() const { return true; }

	Signal &get_signal() const { return signal; }
	virtual void setup_render(Msp::GL::Renderer &, const Msp::GL::Tag &) const;
};

} // namespace R2C2

#endif
