#ifndef R2C2_3D_SIGNALTYPE_H_
#define R2C2_3D_SIGNALTYPE_H_

#include <msp/gl/object.h>
#include "libr2c2/signaltype.h"
#include "objecttype.h"

namespace R2C2 {

class SignalType3D: public ObjectType3D
{
private:
	Msp::GL::Object &object;

public:
	SignalType3D(Catalogue3D &, const SignalType &);

	const Msp::GL::Object &get_object() const { return object; }
};

} // namespace R2C2

#endif
