#ifndef VEHICLESPANEL_H_
#define VEHICLESPANEL_H_

#include <msp/gltk/list.h>
#include <msp/gltk/listdata.h>
#include <msp/gltk/panel.h>
#include "libr2c2/train.h"

class VehiclesPanel: public Msp::GLtk::Panel
{
private:
	R2C2::Train &train;
	Msp::GLtk::FunctionListData<R2C2::Vehicle *> vehicles;
	Msp::GLtk::List *lst_vehicles;

public:
	VehiclesPanel(R2C2::Train &);

private:
	void add_clicked();
	void remove_clicked();
	void vehicle_added(unsigned, R2C2::Vehicle &);
	void vehicle_removed(unsigned, R2C2::Vehicle &);
};

#endif
